@import 'mixins';
@import 'variables';

@import url('https://fonts.googleapis.com/css?family=Playfair+Display:400,400i,700,700i,900,900i&display=swap');
@import url('https://fonts.googleapis.com/css?family=Lato:100,100i,300,300i,400,400i,700,700i,900,900i&display=swap');
@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');

/*--- FONT RULES ---*/

body {
    max-width: 100%;
    overflow-x: hidden;
    height: 100%;
    position: relative;
    font-size: 10px;
    font-family: "Poppins";
    color: $pp-black;
}

h1 {
    font-size: $pp-h1;
    font-weight: bold;
    line-height: 1.3;
    letter-spacing: -.02em;
    font-family: "Playfair Display";
    @include mq(tablet, max) {
        font-size: 5em;
    }
}

h2 {
    font-size: $pp-h2;
    font-family: "Lato";
}

p {
    line-height: 1.2;
    font-size: $pp-content;
}
